/*
 * TiVo initialization and setup code
 *
 * Copyright (C) 2008 TiVo Inc. All Rights Reserved.
 */

#include <linux/init.h>
#include <linux/kernel.h>
#include <linux/string.h>

static char tfrom1[] __initdata = "nfsinit=";
static char tto1[]   __initdata = " init=/devbin/nfsinit nfsroot=";
static char tfrom2[] __initdata = "nfs1";
#ifdef CONFIG_TIVO_MOJAVE
static char tto2[]   __initdata = " nfsroot=192.168.1.250:/Gen06D/nfsroot"
                                        " xnfsinit=192.168.1.250:/Gen06D/nfsroot"
                                        " init=/devbin/nfsinit sysgen=true rw";
#else
static char tto2[]   __initdata = " nfsroot=192.168.1.250:/Gen07/nfsroot"
                                        " xnfsinit=192.168.1.250:/Gen07/nfsroot"
                                        " init=/devbin/nfsinit sysgen=true rw";
#endif
static char tfrom3[] __initdata = "xnfs=";
static char tto3[]   __initdata = " nfsroot=";
static char tfrom4[] __initdata = "xnfsinit=";
static char tto4[]   __initdata = " init=/devbin/nfsinit nfsroot=";

struct tt {
	const char *from;
	const char *to;
	int replace;
};

static struct tt transtab[] __initdata = {
	{ tfrom1, tto1, 0 },
	{ tfrom2, tto2, 1 },
	{ tfrom3, tto3, 1 },
	{ tfrom4, tto4, 0 },
	{ NULL, NULL }
};

void __init tivo_generic_setup(char *cmdline, int cmdline_size)
{
	char *p, *r;
	struct tt *ptt;

	/* Command line parsing... Handle nfsinit=, etc */
	for (ptt = transtab; ptt->from; ptt++) {
		if ((r = strstr(cmdline, ptt->from)) && (r == cmdline ||
		    *(r - 1) == ' ' || *(r - 1) == '\t')) {
			char tmpbuf[cmdline_size * 2];
			char *q, *t;
			int clsize;

			strcpy(tmpbuf, ptt->to);
			p = r + strlen(ptt->from);
			q = tmpbuf + strlen(ptt->to);
			while(*p) {
				*q = *p;
				if ((*p == ' ') || (*p == '\t')) {
					p++;
					break;
				}
				p++; q++;
			}
			*q = 0;
			if (ptt->replace) {
				/* remove old string from cmdline */
				do {
					*r++ = *p;
				} while (*p++);
			}
			clsize = strlen(cmdline);
			t = tmpbuf;
			if (clsize == 0) {
				/* skip the extra space if nothing else there */
				t++;
			}
			strncat(cmdline, tmpbuf, cmdline_size - 1 - clsize);
		}
	}
}
int __init query_ram_size(void) {
#ifdef XXX_FIXME
	switch (*BCM_MEM_CTRL & 0xff) {
	case 32:
		return 32;
	case 64:
		return 64;
	case 128:
		return 128;
	}
	return 0;
#else
        printk("FIXME %s:%s: Hard-coded memory size 256 MB\n", 
            __FILE__, __FUNCTION__);

        return 256;
#endif
}

// handle dsscon parameter
#ifdef CONFIG_TIVO_DEVEL
int dsscon=1; 
#else
int dsscon=0; 
#endif

static int __init do_dsscon(char *s)
{
    dsscon=(*s != 'f' && *s != '0'); // on unless explicitly off
    return 1;
}

__setup("dsscon=", do_dsscon);

