/***************************************************************************
 *     Copyright (c) 1999-2007, Broadcom Corporation
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 as
 * published by the Free Software Foundation.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 * Module Description:
 *                     DO NOT EDIT THIS FILE DIRECTLY
 *
 * This module was generated magically with RDB from a source description
 * file. You must edit the source file for changes to be made to this file.
 *
 *
 * Date:           Generated on         Tue Nov  7 18:01:51 2006
 *                 MD5 Checksum         8931907e7270ad3c1ed9ab5a8b98eccb
 *
 * Compiled with:  RDB Utility          combo_header.pl
 *                 RDB Parser           3.0
 *                 unknown              unknown
 *                 Perl Interpreter     5.008004
 *                 Operating System     linux
 *
 * Revision History:
 *
 * $brcm_Log: /magnum/basemodules/chp/7440/rdb/b0/bchp_ide.h $
 * 
 * Hydra_Software_Devel/1   11/10/06 3:40a albertl
 * PR23109:  Initial version.
 *
 ***************************************************************************/

#ifndef BCHP_IDE_H__
#define BCHP_IDE_H__

/***************************************************************************
 *IDE - IDE Core Registers
 ***************************************************************************/
#define BCHP_IDE_IDECmd                          0x01700004 /* IDE Command Register */
#define BCHP_IDE_IDEProgIF                       0x01700008 /* IDE Program Interface Register */
#define BCHP_IDE_IDEResv1                        0x0170000c /* IDE Reserved Register */
#define BCHP_IDE_IDEPriCS0Add                    0x01700010 /* IDE Primary CS0 Base Address Register */
#define BCHP_IDE_IDEPriCS1Add                    0x01700014 /* IDE Primary CS1 Base Address Register */
#define BCHP_IDE_IDEResv2                        0x01700018 /* IDE Reserved Register */
#define BCHP_IDE_IDEResv3                        0x0170001c /* IDE Reserved Register */
#define BCHP_IDE_IDEBMAddr                       0x01700020 /* IDE BMIDE Base Address Register */
#define BCHP_IDE_IDEResv4                        0x01700024 /* IDE Reserved Register */
#define BCHP_IDE_IDEResv5                        0x01700028 /* IDE Reserved Register */
#define BCHP_IDE_IDEResv6                        0x0170002c /* IDE Reserved Register */
#define BCHP_IDE_IDEResv8                        0x01700030 /* IDE Reserved Register */
#define BCHP_IDE_IDEResv9                        0x01700034 /* IDE Reserved Register */
#define BCHP_IDE_IDEResv10                       0x01700038 /* IDE Reserved Register */
#define BCHP_IDE_IDEResv11                       0x0170003c /* IDE Reserved Register */
#define BCHP_IDE_PIOTime                         0x01700040 /* IDE PIO Timing Register */
#define BCHP_IDE_DMATime                         0x01700044 /* IDE DMA Timing Register */
#define BCHP_IDE_PIOCntlMode                     0x01700048 /* IDE PIO Control/Mode Register */
#define BCHP_IDE_IDEResv12                       0x0170004c /* IDE Reserved Register */
#define BCHP_IDE_IDEResv13                       0x01700050 /* IDE Reserved Register */
#define BCHP_IDE_UDMACntlStat                    0x01700054 /* IDE UDMA Control/Status Register */
#define BCHP_IDE_UDMAMode                        0x01700058 /* IDE UDMA Mode Register */
#define BCHP_IDE_IDEResv14                       0x0170005c /* IDE Reserved Register */
#define BCHP_IDE_HRSTOut                         0x01700060 /* IDE Device Hard Reset Register */
#define BCHP_IDE_IFCntlStat                      0x01700064 /* IDE Interface Control/Status Register */
#define BCHP_IDE_MBISTCntlStat                   0x01700068 /* MBIST Control/Status Register */
#define BCHP_IDE_DESCntl                         0x0170006c /* DES Control Register */
#define BCHP_IDE_IDEDTEa                         0x01700070 /* IDE Current Descriptor Table Entry A Register */
#define BCHP_IDE_IDEDTEb                         0x01700074 /* IDE Current Descriptor Table Entry B Register */
#define BCHP_IDE_IDEResv16                       0x01700078 /* IDE Reserved Register */
#define BCHP_IDE_IFCntlStat2                     0x0170007c /* IDE Interface Control/Status2 Register */
#define BCHP_IDE_IDEIntMsk                       0x01700080 /* IDE Interrupt Mask Register */
#define BCHP_IDE_IDEInt                          0x01700084 /* IDE Interrupt Register */
#define BCHP_IDE_LBCtrl                          0x01700088 /* Local Bus Control Register */
#define BCHP_IDE_GWDCntr                         0x0170008c /* Gword Counter Register */
#define BCHP_IDE_DIAGCtrl                        0x01700090 /* Diagnostic Port Control Register */
#define BCHP_IDE_EndianCtrl                      0x01700094 /* Endian Control Register */
#define BCHP_IDE_TiVoCntl                        0x0170009c /* TiVo Encryption Control Register */
#define BCHP_IDE_TiVoKey0                        0x017000c0 /* TiVo Encryption Key0 Register */
#define BCHP_IDE_TiVoKey1                        0x017000c4 /* TiVo Encryption Key1 Register */
#define BCHP_IDE_TiVoKey2                        0x017000c8 /* TiVo Encryption Key2 Register */
#define BCHP_IDE_TiVoKey3                        0x017000cc /* TiVo Encryption Key3 Register */
#define BCHP_IDE_IDEPriDataComp                  0x17001f0 /* IDE Primary Data Register (Compatibility Mode) */
#define BCHP_IDE_IDEPriFeatErrComp               0x17001f1 /* IDE Primary Features/Error Register (Compatibility Mode) */
#define BCHP_IDE_IDEPriSecCntComp                0x17001f2 /* IDE Primary Sector Count Register (Compatibility Mode) */
#define BCHP_IDE_IDEPriSecNumComp                0x17001f3 /* IDE Primary Sector Number Register (Compatibility Mode) */
#define BCHP_IDE_IDEPriCylLowComp                0x17001f4 /* IDE Primary Cylinder Low Register (Compatibility Mode) */
#define BCHP_IDE_IDEPriCylHiComp                 0x17001f5 /* IDE Primary Cylinder Hi Register (Compatibility Mode) */
#define BCHP_IDE_IDEPriDevHdComp                 0x17001f6 /* IDE Primary Device/Head Register (Compatibility Mode) */
#define BCHP_IDE_IDEPriCmdStatComp               0x17001f7 /* IDE Primary Commands/Status Register (Compatibility Mode) */
#define BCHP_IDE_IDEPriData                      0x1700200 /* IDE Primary Data Register */
#define BCHP_IDE_IDEPriFeatErr                   0x1700201 /* IDE Primary Features/Error Register */
#define BCHP_IDE_IDEPriSecCnt                    0x1700202 /* IDE Primary Sector Count Register */
#define BCHP_IDE_IDEPriSecNum                    0x1700203 /* IDE Primary Sector Number Register */
#define BCHP_IDE_IDEPriCylLow                    0x1700204 /* IDE Primary Cylinder Low Register */
#define BCHP_IDE_IDEPriCylHi                     0x1700205 /* IDE Primary Cylinder Hi Register */
#define BCHP_IDE_IDEPriDevHd                     0x1700206 /* IDE Primary Device/Head Register */
#define BCHP_IDE_IDEPriCmdStat                   0x1700207 /* IDE Primary Commands/Status Register */
#define BCHP_IDE_IDEPriDevCStat32                0x1700240 /* IDE Primary Device Control/Alternate Status Register (32 bit boundary) */
#define BCHP_IDE_IDEPriDevCStat                  0x1700242 /* IDE Primary Device Control/Alternate Status Register */
#define BCHP_IDE_IDEResv17                       0x01700280 /* IDE Reserved Register */
#define BCHP_IDE_IDEResv18                       0x01700284 /* IDE Reserved Register */
#define BCHP_IDE_IDEResv19                       0x017002c0 /* IDE Reserved Register */
#define BCHP_IDE_IDEPriBMCmdStat                 0x01700300 /* IDE Primary Bus Master Command/Status Register */
#define BCHP_IDE_IDEPriDTPT                      0x01700304 /* IDE Primary Descriptor Table Pointer Register */
#define BCHP_IDE_IDEResv20                       0x01700308 /* IDE Reserved Register */
#define BCHP_IDE_IDEPriDevCStatComp              0x17003f4 /* IDE Primary Device Control/Alternate Status Register (Compatibility Mode) */
#define BCHP_IDE_IDEPriBMCmdStatCompA            0x01709380 /* IDE Primary Bus Master Command/Status (Alias) Register */
#define BCHP_IDE_IDEPriDTPTCompA                 0x01709384 /* IDE Primary Descriptor Table Pointer (Alias) Register */
#define BCHP_IDE_IDEPriBMCmdStatCompB            0x0170fff8 /* IDE Primary Bus Master Command/Status (Alias) Register */
#define BCHP_IDE_IDEPriDTPTCompB                 0x0170fffc /* IDE Primary Descriptor Table Pointer (Alias) Register */

/***************************************************************************
 *IDECmd - IDE Command Register
 ***************************************************************************/
/* IDE :: IDECmd :: reserved0 [31:03] */
#define BCHP_IDE_IDECmd_reserved0_MASK                             0xfffffff8
#define BCHP_IDE_IDECmd_reserved0_SHIFT                            3

/* IDE :: IDECmd :: Master_Enable [02:02] */
#define BCHP_IDE_IDECmd_Master_Enable_MASK                         0x00000004
#define BCHP_IDE_IDECmd_Master_Enable_SHIFT                        2

/* IDE :: IDECmd :: reserved1 [01:01] */
#define BCHP_IDE_IDECmd_reserved1_MASK                             0x00000002
#define BCHP_IDE_IDECmd_reserved1_SHIFT                            1

/* IDE :: IDECmd :: IO_Access [00:00] */
#define BCHP_IDE_IDECmd_IO_Access_MASK                             0x00000001
#define BCHP_IDE_IDECmd_IO_Access_SHIFT                            0

/***************************************************************************
 *IDEProgIF - IDE Program Interface Register
 ***************************************************************************/
/* IDE :: IDEProgIF :: reserved0 [31:16] */
#define BCHP_IDE_IDEProgIF_reserved0_MASK                          0xffff0000
#define BCHP_IDE_IDEProgIF_reserved0_SHIFT                         16

/* IDE :: IDEProgIF :: MdSupt [15:15] */
#define BCHP_IDE_IDEProgIF_MdSupt_MASK                             0x00008000
#define BCHP_IDE_IDEProgIF_MdSupt_SHIFT                            15

/* IDE :: IDEProgIF :: reserved1 [14:12] */
#define BCHP_IDE_IDEProgIF_reserved1_MASK                          0x00007000
#define BCHP_IDE_IDEProgIF_reserved1_SHIFT                         12

/* IDE :: IDEProgIF :: sec_en__dis_req [11:11] */
#define BCHP_IDE_IDEProgIF_sec_en__dis_req_MASK                    0x00000800
#define BCHP_IDE_IDEProgIF_sec_en__dis_req_SHIFT                   11

/* IDE :: IDEProgIF :: sec_comp__native [10:10] */
#define BCHP_IDE_IDEProgIF_sec_comp__native_MASK                   0x00000400
#define BCHP_IDE_IDEProgIF_sec_comp__native_SHIFT                  10

/* IDE :: IDEProgIF :: pri_en__dis_req [09:09] */
#define BCHP_IDE_IDEProgIF_pri_en__dis_req_MASK                    0x00000200
#define BCHP_IDE_IDEProgIF_pri_en__dis_req_SHIFT                   9

/* IDE :: IDEProgIF :: pri_comp__native [08:08] */
#define BCHP_IDE_IDEProgIF_pri_comp__native_MASK                   0x00000100
#define BCHP_IDE_IDEProgIF_pri_comp__native_SHIFT                  8

/* IDE :: IDEProgIF :: reserved2 [07:00] */
#define BCHP_IDE_IDEProgIF_reserved2_MASK                          0x000000ff
#define BCHP_IDE_IDEProgIF_reserved2_SHIFT                         0

/***************************************************************************
 *IDEResv1 - IDE Reserved Register
 ***************************************************************************/
/* IDE :: IDEResv1 :: reserved0 [31:00] */
#define BCHP_IDE_IDEResv1_reserved0_MASK                           0xffffffff
#define BCHP_IDE_IDEResv1_reserved0_SHIFT                          0

/***************************************************************************
 *IDEPriCS0Add - IDE Primary CS0 Base Address Register
 ***************************************************************************/
/* IDE :: IDEPriCS0Add :: reserved0 [31:16] */
#define BCHP_IDE_IDEPriCS0Add_reserved0_MASK                       0xffff0000
#define BCHP_IDE_IDEPriCS0Add_reserved0_SHIFT                      16

/* IDE :: IDEPriCS0Add :: P_CS0BaseAdd [15:00] */
#define BCHP_IDE_IDEPriCS0Add_P_CS0BaseAdd_MASK                    0x0000ffff
#define BCHP_IDE_IDEPriCS0Add_P_CS0BaseAdd_SHIFT                   0

/***************************************************************************
 *IDEPriCS1Add - IDE Primary CS1 Base Address Register
 ***************************************************************************/
/* IDE :: IDEPriCS1Add :: reserved0 [31:16] */
#define BCHP_IDE_IDEPriCS1Add_reserved0_MASK                       0xffff0000
#define BCHP_IDE_IDEPriCS1Add_reserved0_SHIFT                      16

/* IDE :: IDEPriCS1Add :: P_CS1BaseAdd [15:00] */
#define BCHP_IDE_IDEPriCS1Add_P_CS1BaseAdd_MASK                    0x0000ffff
#define BCHP_IDE_IDEPriCS1Add_P_CS1BaseAdd_SHIFT                   0

/***************************************************************************
 *IDEResv2 - IDE Reserved Register
 ***************************************************************************/
/* IDE :: IDEResv2 :: reserved0 [31:00] */
#define BCHP_IDE_IDEResv2_reserved0_MASK                           0xffffffff
#define BCHP_IDE_IDEResv2_reserved0_SHIFT                          0

/***************************************************************************
 *IDEResv3 - IDE Reserved Register
 ***************************************************************************/
/* IDE :: IDEResv3 :: reserved0 [31:00] */
#define BCHP_IDE_IDEResv3_reserved0_MASK                           0xffffffff
#define BCHP_IDE_IDEResv3_reserved0_SHIFT                          0

/***************************************************************************
 *IDEBMAddr - IDE BMIDE Base Address Register
 ***************************************************************************/
/* IDE :: IDEBMAddr :: reserved0 [31:16] */
#define BCHP_IDE_IDEBMAddr_reserved0_MASK                          0xffff0000
#define BCHP_IDE_IDEBMAddr_reserved0_SHIFT                         16

/* IDE :: IDEBMAddr :: IDEBMBaseAddr [15:00] */
#define BCHP_IDE_IDEBMAddr_IDEBMBaseAddr_MASK                      0x0000ffff
#define BCHP_IDE_IDEBMAddr_IDEBMBaseAddr_SHIFT                     0

/***************************************************************************
 *IDEResv4 - IDE Reserved Register
 ***************************************************************************/
/* IDE :: IDEResv4 :: reserved0 [31:00] */
#define BCHP_IDE_IDEResv4_reserved0_MASK                           0xffffffff
#define BCHP_IDE_IDEResv4_reserved0_SHIFT                          0

/***************************************************************************
 *IDEResv5 - IDE Reserved Register
 ***************************************************************************/
/* IDE :: IDEResv5 :: reserved0 [31:00] */
#define BCHP_IDE_IDEResv5_reserved0_MASK                           0xffffffff
#define BCHP_IDE_IDEResv5_reserved0_SHIFT                          0

/***************************************************************************
 *IDEResv6 - IDE Reserved Register
 ***************************************************************************/
/* IDE :: IDEResv6 :: reserved0 [31:00] */
#define BCHP_IDE_IDEResv6_reserved0_MASK                           0xffffffff
#define BCHP_IDE_IDEResv6_reserved0_SHIFT                          0

/***************************************************************************
 *IDEResv8 - IDE Reserved Register
 ***************************************************************************/
/* IDE :: IDEResv8 :: reserved0 [31:00] */
#define BCHP_IDE_IDEResv8_reserved0_MASK                           0xffffffff
#define BCHP_IDE_IDEResv8_reserved0_SHIFT                          0

/***************************************************************************
 *IDEResv9 - IDE Reserved Register
 ***************************************************************************/
/* IDE :: IDEResv9 :: reserved0 [31:00] */
#define BCHP_IDE_IDEResv9_reserved0_MASK                           0xffffffff
#define BCHP_IDE_IDEResv9_reserved0_SHIFT                          0

/***************************************************************************
 *IDEResv10 - IDE Reserved Register
 ***************************************************************************/
/* IDE :: IDEResv10 :: reserved0 [31:00] */
#define BCHP_IDE_IDEResv10_reserved0_MASK                          0xffffffff
#define BCHP_IDE_IDEResv10_reserved0_SHIFT                         0

/***************************************************************************
 *IDEResv11 - IDE Reserved Register
 ***************************************************************************/
/* IDE :: IDEResv11 :: reserved0 [31:00] */
#define BCHP_IDE_IDEResv11_reserved0_MASK                          0xffffffff
#define BCHP_IDE_IDEResv11_reserved0_SHIFT                         0

/***************************************************************************
 *PIOTime - IDE PIO Timing Register
 ***************************************************************************/
/* IDE :: PIOTime :: SM_PIOCmd [31:28] */
#define BCHP_IDE_PIOTime_SM_PIOCmd_MASK                            0xf0000000
#define BCHP_IDE_PIOTime_SM_PIOCmd_SHIFT                           28

/* IDE :: PIOTime :: SM_PIOCmdRec [27:24] */
#define BCHP_IDE_PIOTime_SM_PIOCmdRec_MASK                         0x0f000000
#define BCHP_IDE_PIOTime_SM_PIOCmdRec_SHIFT                        24

/* IDE :: PIOTime :: SS_PIOCmd [23:20] */
#define BCHP_IDE_PIOTime_SS_PIOCmd_MASK                            0x00f00000
#define BCHP_IDE_PIOTime_SS_PIOCmd_SHIFT                           20

/* IDE :: PIOTime :: SS_PIOCmdRec [19:16] */
#define BCHP_IDE_PIOTime_SS_PIOCmdRec_MASK                         0x000f0000
#define BCHP_IDE_PIOTime_SS_PIOCmdRec_SHIFT                        16

/* IDE :: PIOTime :: PM_PIOCmd [15:12] */
#define BCHP_IDE_PIOTime_PM_PIOCmd_MASK                            0x0000f000
#define BCHP_IDE_PIOTime_PM_PIOCmd_SHIFT                           12

/* IDE :: PIOTime :: PM_PIOCmdRec [11:08] */
#define BCHP_IDE_PIOTime_PM_PIOCmdRec_MASK                         0x00000f00
#define BCHP_IDE_PIOTime_PM_PIOCmdRec_SHIFT                        8

/* IDE :: PIOTime :: PS_PIOCmd [07:04] */
#define BCHP_IDE_PIOTime_PS_PIOCmd_MASK                            0x000000f0
#define BCHP_IDE_PIOTime_PS_PIOCmd_SHIFT                           4

/* IDE :: PIOTime :: PS_PIOCmdRec [03:00] */
#define BCHP_IDE_PIOTime_PS_PIOCmdRec_MASK                         0x0000000f
#define BCHP_IDE_PIOTime_PS_PIOCmdRec_SHIFT                        0

/***************************************************************************
 *DMATime - IDE DMA Timing Register
 ***************************************************************************/
/* IDE :: DMATime :: SM_DMACmd [31:28] */
#define BCHP_IDE_DMATime_SM_DMACmd_MASK                            0xf0000000
#define BCHP_IDE_DMATime_SM_DMACmd_SHIFT                           28

/* IDE :: DMATime :: SM_DMACmdRec [27:24] */
#define BCHP_IDE_DMATime_SM_DMACmdRec_MASK                         0x0f000000
#define BCHP_IDE_DMATime_SM_DMACmdRec_SHIFT                        24

/* IDE :: DMATime :: SS_DMACmd [23:20] */
#define BCHP_IDE_DMATime_SS_DMACmd_MASK                            0x00f00000
#define BCHP_IDE_DMATime_SS_DMACmd_SHIFT                           20

/* IDE :: DMATime :: SS_DMACmdRec [19:16] */
#define BCHP_IDE_DMATime_SS_DMACmdRec_MASK                         0x000f0000
#define BCHP_IDE_DMATime_SS_DMACmdRec_SHIFT                        16

/* IDE :: DMATime :: PM_DMACmd [15:12] */
#define BCHP_IDE_DMATime_PM_DMACmd_MASK                            0x0000f000
#define BCHP_IDE_DMATime_PM_DMACmd_SHIFT                           12

/* IDE :: DMATime :: PM_DMACmdRec [11:08] */
#define BCHP_IDE_DMATime_PM_DMACmdRec_MASK                         0x00000f00
#define BCHP_IDE_DMATime_PM_DMACmdRec_SHIFT                        8

/* IDE :: DMATime :: PS_DMACmd [07:04] */
#define BCHP_IDE_DMATime_PS_DMACmd_MASK                            0x000000f0
#define BCHP_IDE_DMATime_PS_DMACmd_SHIFT                           4

/* IDE :: DMATime :: PS_DMACmdRec [03:00] */
#define BCHP_IDE_DMATime_PS_DMACmdRec_MASK                         0x0000000f
#define BCHP_IDE_DMATime_PS_DMACmdRec_SHIFT                        0

/***************************************************************************
 *PIOCntlMode - IDE PIO Control/Mode Register
 ***************************************************************************/
/* IDE :: PIOCntlMode :: reserved0 [31:31] */
#define BCHP_IDE_PIOCntlMode_reserved0_MASK                        0x80000000
#define BCHP_IDE_PIOCntlMode_reserved0_SHIFT                       31

/* IDE :: PIOCntlMode :: SS_PIOAccMd [30:28] */
#define BCHP_IDE_PIOCntlMode_SS_PIOAccMd_MASK                      0x70000000
#define BCHP_IDE_PIOCntlMode_SS_PIOAccMd_SHIFT                     28

/* IDE :: PIOCntlMode :: reserved1 [27:27] */
#define BCHP_IDE_PIOCntlMode_reserved1_MASK                        0x08000000
#define BCHP_IDE_PIOCntlMode_reserved1_SHIFT                       27

/* IDE :: PIOCntlMode :: SM_PIOAccMd [26:24] */
#define BCHP_IDE_PIOCntlMode_SM_PIOAccMd_MASK                      0x07000000
#define BCHP_IDE_PIOCntlMode_SM_PIOAccMd_SHIFT                     24

/* IDE :: PIOCntlMode :: reserved2 [23:23] */
#define BCHP_IDE_PIOCntlMode_reserved2_MASK                        0x00800000
#define BCHP_IDE_PIOCntlMode_reserved2_SHIFT                       23

/* IDE :: PIOCntlMode :: PS_PIOAccMd [22:20] */
#define BCHP_IDE_PIOCntlMode_PS_PIOAccMd_MASK                      0x00700000
#define BCHP_IDE_PIOCntlMode_PS_PIOAccMd_SHIFT                     20

/* IDE :: PIOCntlMode :: reserved3 [19:19] */
#define BCHP_IDE_PIOCntlMode_reserved3_MASK                        0x00080000
#define BCHP_IDE_PIOCntlMode_reserved3_SHIFT                       19

/* IDE :: PIOCntlMode :: PM_PIOAccMd [18:16] */
#define BCHP_IDE_PIOCntlMode_PM_PIOAccMd_MASK                      0x00070000
#define BCHP_IDE_PIOCntlMode_PM_PIOAccMd_SHIFT                     16

/* IDE :: PIOCntlMode :: SM_PrfRd [15:15] */
#define BCHP_IDE_PIOCntlMode_SM_PrfRd_MASK                         0x00008000
#define BCHP_IDE_PIOCntlMode_SM_PrfRd_SHIFT                        15

/* IDE :: PIOCntlMode :: SS_PrfRd [14:14] */
#define BCHP_IDE_PIOCntlMode_SS_PrfRd_MASK                         0x00004000
#define BCHP_IDE_PIOCntlMode_SS_PrfRd_SHIFT                        14

/* IDE :: PIOCntlMode :: SM_PrfWr [13:13] */
#define BCHP_IDE_PIOCntlMode_SM_PrfWr_MASK                         0x00002000
#define BCHP_IDE_PIOCntlMode_SM_PrfWr_SHIFT                        13

/* IDE :: PIOCntlMode :: SS_PrfWr [12:12] */
#define BCHP_IDE_PIOCntlMode_SS_PrfWr_MASK                         0x00001000
#define BCHP_IDE_PIOCntlMode_SS_PrfWr_SHIFT                        12

/* IDE :: PIOCntlMode :: reserved4 [11:09] */
#define BCHP_IDE_PIOCntlMode_reserved4_MASK                        0x00000e00
#define BCHP_IDE_PIOCntlMode_reserved4_SHIFT                       9

/* IDE :: PIOCntlMode :: DisSec [08:08] */
#define BCHP_IDE_PIOCntlMode_DisSec_MASK                           0x00000100
#define BCHP_IDE_PIOCntlMode_DisSec_SHIFT                          8

/* IDE :: PIOCntlMode :: PM_PrfRd [07:07] */
#define BCHP_IDE_PIOCntlMode_PM_PrfRd_MASK                         0x00000080
#define BCHP_IDE_PIOCntlMode_PM_PrfRd_SHIFT                        7

/* IDE :: PIOCntlMode :: PS_PrfRd [06:06] */
#define BCHP_IDE_PIOCntlMode_PS_PrfRd_MASK                         0x00000040
#define BCHP_IDE_PIOCntlMode_PS_PrfRd_SHIFT                        6

/* IDE :: PIOCntlMode :: PM_PrfWr [05:05] */
#define BCHP_IDE_PIOCntlMode_PM_PrfWr_MASK                         0x00000020
#define BCHP_IDE_PIOCntlMode_PM_PrfWr_SHIFT                        5

/* IDE :: PIOCntlMode :: PS_PrfWr [04:04] */
#define BCHP_IDE_PIOCntlMode_PS_PrfWr_MASK                         0x00000010
#define BCHP_IDE_PIOCntlMode_PS_PrfWr_SHIFT                        4

/* IDE :: PIOCntlMode :: reserved5 [03:01] */
#define BCHP_IDE_PIOCntlMode_reserved5_MASK                        0x0000000e
#define BCHP_IDE_PIOCntlMode_reserved5_SHIFT                       1

/* IDE :: PIOCntlMode :: DisPri [00:00] */
#define BCHP_IDE_PIOCntlMode_DisPri_MASK                           0x00000001
#define BCHP_IDE_PIOCntlMode_DisPri_SHIFT                          0

/***************************************************************************
 *IDEResv12 - IDE Reserved Register
 ***************************************************************************/
/* IDE :: IDEResv12 :: reserved0 [31:00] */
#define BCHP_IDE_IDEResv12_reserved0_MASK                          0xffffffff
#define BCHP_IDE_IDEResv12_reserved0_SHIFT                         0

/***************************************************************************
 *IDEResv13 - IDE Reserved Register
 ***************************************************************************/
/* IDE :: IDEResv13 :: reserved0 [31:00] */
#define BCHP_IDE_IDEResv13_reserved0_MASK                          0xffffffff
#define BCHP_IDE_IDEResv13_reserved0_SHIFT                         0

/***************************************************************************
 *UDMACntlStat - IDE UDMA Control/Status Register
 ***************************************************************************/
/* IDE :: UDMACntlStat :: reserved0 [31:31] */
#define BCHP_IDE_UDMACntlStat_reserved0_MASK                       0x80000000
#define BCHP_IDE_UDMACntlStat_reserved0_SHIFT                      31

/* IDE :: UDMACntlStat :: SS_UDMAMd [30:28] */
#define BCHP_IDE_UDMACntlStat_SS_UDMAMd_MASK                       0x70000000
#define BCHP_IDE_UDMACntlStat_SS_UDMAMd_SHIFT                      28

/* IDE :: UDMACntlStat :: reserved1 [27:27] */
#define BCHP_IDE_UDMACntlStat_reserved1_MASK                       0x08000000
#define BCHP_IDE_UDMACntlStat_reserved1_SHIFT                      27

/* IDE :: UDMACntlStat :: SM_UDMAMd [26:24] */
#define BCHP_IDE_UDMACntlStat_SM_UDMAMd_MASK                       0x07000000
#define BCHP_IDE_UDMACntlStat_SM_UDMAMd_SHIFT                      24

/* IDE :: UDMACntlStat :: reserved2 [23:23] */
#define BCHP_IDE_UDMACntlStat_reserved2_MASK                       0x00800000
#define BCHP_IDE_UDMACntlStat_reserved2_SHIFT                      23

/* IDE :: UDMACntlStat :: PS_UDMAMd [22:20] */
#define BCHP_IDE_UDMACntlStat_PS_UDMAMd_MASK                       0x00700000
#define BCHP_IDE_UDMACntlStat_PS_UDMAMd_SHIFT                      20

/* IDE :: UDMACntlStat :: reserved3 [19:19] */
#define BCHP_IDE_UDMACntlStat_reserved3_MASK                       0x00080000
#define BCHP_IDE_UDMACntlStat_reserved3_SHIFT                      19

/* IDE :: UDMACntlStat :: PM_UDMAMd [18:16] */
#define BCHP_IDE_UDMACntlStat_PM_UDMAMd_MASK                       0x00070000
#define BCHP_IDE_UDMACntlStat_PM_UDMAMd_SHIFT                      16

/* IDE :: UDMACntlStat :: reserved4 [15:13] */
#define BCHP_IDE_UDMACntlStat_reserved4_MASK                       0x0000e000
#define BCHP_IDE_UDMACntlStat_reserved4_SHIFT                      13

/* IDE :: UDMACntlStat :: Sec_Extr [12:12] */
#define BCHP_IDE_UDMACntlStat_Sec_Extr_MASK                        0x00001000
#define BCHP_IDE_UDMACntlStat_Sec_Extr_SHIFT                       12

/* IDE :: UDMACntlStat :: reserved5 [11:09] */
#define BCHP_IDE_UDMACntlStat_reserved5_MASK                       0x00000e00
#define BCHP_IDE_UDMACntlStat_reserved5_SHIFT                      9

/* IDE :: UDMACntlStat :: Pri_Extr [08:08] */
#define BCHP_IDE_UDMACntlStat_Pri_Extr_MASK                        0x00000100
#define BCHP_IDE_UDMACntlStat_Pri_Extr_SHIFT                       8

/* IDE :: UDMACntlStat :: ReprtMd [07:07] */
#define BCHP_IDE_UDMACntlStat_ReprtMd_MASK                         0x00000080
#define BCHP_IDE_UDMACntlStat_ReprtMd_SHIFT                        7

/* IDE :: UDMACntlStat :: reserved6 [06:04] */
#define BCHP_IDE_UDMACntlStat_reserved6_MASK                       0x00000070
#define BCHP_IDE_UDMACntlStat_reserved6_SHIFT                      4

/* IDE :: UDMACntlStat :: SS_UDMA [03:03] */
#define BCHP_IDE_UDMACntlStat_SS_UDMA_MASK                         0x00000008
#define BCHP_IDE_UDMACntlStat_SS_UDMA_SHIFT                        3

/* IDE :: UDMACntlStat :: SM_UDMA [02:02] */
#define BCHP_IDE_UDMACntlStat_SM_UDMA_MASK                         0x00000004
#define BCHP_IDE_UDMACntlStat_SM_UDMA_SHIFT                        2

/* IDE :: UDMACntlStat :: PS_UDMA [01:01] */
#define BCHP_IDE_UDMACntlStat_PS_UDMA_MASK                         0x00000002
#define BCHP_IDE_UDMACntlStat_PS_UDMA_SHIFT                        1

/* IDE :: UDMACntlStat :: PM_UDMA [00:00] */
#define BCHP_IDE_UDMACntlStat_PM_UDMA_MASK                         0x00000001
#define BCHP_IDE_UDMACntlStat_PM_UDMA_SHIFT                        0

/***************************************************************************
 *UDMAMode - IDE UDMA Mode Register
 ***************************************************************************/
/* IDE :: UDMAMode :: reserved0 [31:16] */
#define BCHP_IDE_UDMAMode_reserved0_MASK                           0xffff0000
#define BCHP_IDE_UDMAMode_reserved0_SHIFT                          16

/* IDE :: UDMAMode :: Min_DMA_Burst [15:08] */
#define BCHP_IDE_UDMAMode_Min_DMA_Burst_MASK                       0x0000ff00
#define BCHP_IDE_UDMAMode_Min_DMA_Burst_SHIFT                      8

/* IDE :: UDMAMode :: Max_PIO_Burst [07:00] */
#define BCHP_IDE_UDMAMode_Max_PIO_Burst_MASK                       0x000000ff
#define BCHP_IDE_UDMAMode_Max_PIO_Burst_SHIFT                      0

/***************************************************************************
 *IDEResv14 - IDE Reserved Register
 ***************************************************************************/
/* IDE :: IDEResv14 :: reserved0 [31:00] */
#define BCHP_IDE_IDEResv14_reserved0_MASK                          0xffffffff
#define BCHP_IDE_IDEResv14_reserved0_SHIFT                         0

/***************************************************************************
 *HRSTOut - IDE Device Hard Reset Register
 ***************************************************************************/
/* IDE :: HRSTOut :: reserved0 [31:17] */
#define BCHP_IDE_HRSTOut_reserved0_MASK                            0xfffe0000
#define BCHP_IDE_HRSTOut_reserved0_SHIFT                           17

/* IDE :: HRSTOut :: Primary_HRST [16:16] */
#define BCHP_IDE_HRSTOut_Primary_HRST_MASK                         0x00010000
#define BCHP_IDE_HRSTOut_Primary_HRST_SHIFT                        16

/* IDE :: HRSTOut :: reserved1 [15:00] */
#define BCHP_IDE_HRSTOut_reserved1_MASK                            0x0000ffff
#define BCHP_IDE_HRSTOut_reserved1_SHIFT                           0

/***************************************************************************
 *IFCntlStat - IDE Interface Control/Status Register
 ***************************************************************************/
/* IDE :: IFCntlStat :: reserved0 [31:26] */
#define BCHP_IDE_IFCntlStat_reserved0_MASK                         0xfc000000
#define BCHP_IDE_IFCntlStat_reserved0_SHIFT                        26

/* IDE :: IFCntlStat :: PIO_RdWait [25:25] */
#define BCHP_IDE_IFCntlStat_PIO_RdWait_MASK                        0x02000000
#define BCHP_IDE_IFCntlStat_PIO_RdWait_SHIFT                       25

/* IDE :: IFCntlStat :: PIO_WrWait [24:24] */
#define BCHP_IDE_IFCntlStat_PIO_WrWait_MASK                        0x01000000
#define BCHP_IDE_IFCntlStat_PIO_WrWait_SHIFT                       24

/* IDE :: IFCntlStat :: reserved1 [23:22] */
#define BCHP_IDE_IFCntlStat_reserved1_MASK                         0x00c00000
#define BCHP_IDE_IFCntlStat_reserved1_SHIFT                        22

/* IDE :: IFCntlStat :: PIO_DATA_SWAP [21:20] */
#define BCHP_IDE_IFCntlStat_PIO_DATA_SWAP_MASK                     0x00300000
#define BCHP_IDE_IFCntlStat_PIO_DATA_SWAP_SHIFT                    20

/* IDE :: IFCntlStat :: DMA_DATA_SWAP [19:18] */
#define BCHP_IDE_IFCntlStat_DMA_DATA_SWAP_MASK                     0x000c0000
#define BCHP_IDE_IFCntlStat_DMA_DATA_SWAP_SHIFT                    18

/* IDE :: IFCntlStat :: DT_SWP [17:17] */
#define BCHP_IDE_IFCntlStat_DT_SWP_MASK                            0x00020000
#define BCHP_IDE_IFCntlStat_DT_SWP_SHIFT                           17

/* IDE :: IFCntlStat :: LB_PstWr [16:16] */
#define BCHP_IDE_IFCntlStat_LB_PstWr_MASK                          0x00010000
#define BCHP_IDE_IFCntlStat_LB_PstWr_SHIFT                         16

/* IDE :: IFCntlStat :: reserved2 [15:02] */
#define BCHP_IDE_IFCntlStat_reserved2_MASK                         0x0000fffc
#define BCHP_IDE_IFCntlStat_reserved2_SHIFT                        2

/* IDE :: IFCntlStat :: udma_addr_en [01:01] */
#define BCHP_IDE_IFCntlStat_udma_addr_en_MASK                      0x00000002
#define BCHP_IDE_IFCntlStat_udma_addr_en_SHIFT                     1

/* IDE :: IFCntlStat :: Solaris [00:00] */
#define BCHP_IDE_IFCntlStat_Solaris_MASK                           0x00000001
#define BCHP_IDE_IFCntlStat_Solaris_SHIFT                          0

/***************************************************************************
 *MBISTCntlStat - MBIST Control/Status Register
 ***************************************************************************/
/* IDE :: MBISTCntlStat :: reserved0 [31:27] */
#define BCHP_IDE_MBISTCntlStat_reserved0_MASK                      0xf8000000
#define BCHP_IDE_MBISTCntlStat_reserved0_SHIFT                     27

/* IDE :: MBISTCntlStat :: MBIST_Fail2 [26:26] */
#define BCHP_IDE_MBISTCntlStat_MBIST_Fail2_MASK                    0x04000000
#define BCHP_IDE_MBISTCntlStat_MBIST_Fail2_SHIFT                   26

/* IDE :: MBISTCntlStat :: MBIST_DgOut2 [25:25] */
#define BCHP_IDE_MBISTCntlStat_MBIST_DgOut2_MASK                   0x02000000
#define BCHP_IDE_MBISTCntlStat_MBIST_DgOut2_SHIFT                  25

/* IDE :: MBISTCntlStat :: MBIST_Done2 [24:24] */
#define BCHP_IDE_MBISTCntlStat_MBIST_Done2_MASK                    0x01000000
#define BCHP_IDE_MBISTCntlStat_MBIST_Done2_SHIFT                   24

/* IDE :: MBISTCntlStat :: reserved1 [23:20] */
#define BCHP_IDE_MBISTCntlStat_reserved1_MASK                      0x00f00000
#define BCHP_IDE_MBISTCntlStat_reserved1_SHIFT                     20

/* IDE :: MBISTCntlStat :: MBIST_DmpEn2 [19:19] */
#define BCHP_IDE_MBISTCntlStat_MBIST_DmpEn2_MASK                   0x00080000
#define BCHP_IDE_MBISTCntlStat_MBIST_DmpEn2_SHIFT                  19

/* IDE :: MBISTCntlStat :: MBIST_DgEn2 [18:18] */
#define BCHP_IDE_MBISTCntlStat_MBIST_DgEn2_MASK                    0x00040000
#define BCHP_IDE_MBISTCntlStat_MBIST_DgEn2_SHIFT                   18

/* IDE :: MBISTCntlStat :: MBIST_Hold2 [17:17] */
#define BCHP_IDE_MBISTCntlStat_MBIST_Hold2_MASK                    0x00020000
#define BCHP_IDE_MBISTCntlStat_MBIST_Hold2_SHIFT                   17

/* IDE :: MBISTCntlStat :: MBIST_En2 [16:16] */
#define BCHP_IDE_MBISTCntlStat_MBIST_En2_MASK                      0x00010000
#define BCHP_IDE_MBISTCntlStat_MBIST_En2_SHIFT                     16

/* IDE :: MBISTCntlStat :: reserved2 [15:15] */
#define BCHP_IDE_MBISTCntlStat_reserved2_MASK                      0x00008000
#define BCHP_IDE_MBISTCntlStat_reserved2_SHIFT                     15

/* IDE :: MBISTCntlStat :: MBIST_Fail1 [14:14] */
#define BCHP_IDE_MBISTCntlStat_MBIST_Fail1_MASK                    0x00004000
#define BCHP_IDE_MBISTCntlStat_MBIST_Fail1_SHIFT                   14

/* IDE :: MBISTCntlStat :: MBIST_DgOut1 [13:13] */
#define BCHP_IDE_MBISTCntlStat_MBIST_DgOut1_MASK                   0x00002000
#define BCHP_IDE_MBISTCntlStat_MBIST_DgOut1_SHIFT                  13

/* IDE :: MBISTCntlStat :: MBIST_Done1 [12:12] */
#define BCHP_IDE_MBISTCntlStat_MBIST_Done1_MASK                    0x00001000
#define BCHP_IDE_MBISTCntlStat_MBIST_Done1_SHIFT                   12

/* IDE :: MBISTCntlStat :: reserved3 [11:11] */
#define BCHP_IDE_MBISTCntlStat_reserved3_MASK                      0x00000800
#define BCHP_IDE_MBISTCntlStat_reserved3_SHIFT                     11

/* IDE :: MBISTCntlStat :: MBIST_Fail0 [10:10] */
#define BCHP_IDE_MBISTCntlStat_MBIST_Fail0_MASK                    0x00000400
#define BCHP_IDE_MBISTCntlStat_MBIST_Fail0_SHIFT                   10

/* IDE :: MBISTCntlStat :: MBIST_DgOut0 [09:09] */
#define BCHP_IDE_MBISTCntlStat_MBIST_DgOut0_MASK                   0x00000200
#define BCHP_IDE_MBISTCntlStat_MBIST_DgOut0_SHIFT                  9

/* IDE :: MBISTCntlStat :: MBIST_Done0 [08:08] */
#define BCHP_IDE_MBISTCntlStat_MBIST_Done0_MASK                    0x00000100
#define BCHP_IDE_MBISTCntlStat_MBIST_Done0_SHIFT                   8

/* IDE :: MBISTCntlStat :: MBIST_DmpEn1 [07:07] */
#define BCHP_IDE_MBISTCntlStat_MBIST_DmpEn1_MASK                   0x00000080
#define BCHP_IDE_MBISTCntlStat_MBIST_DmpEn1_SHIFT                  7

/* IDE :: MBISTCntlStat :: MBIST_DgEn1 [06:06] */
#define BCHP_IDE_MBISTCntlStat_MBIST_DgEn1_MASK                    0x00000040
#define BCHP_IDE_MBISTCntlStat_MBIST_DgEn1_SHIFT                   6

/* IDE :: MBISTCntlStat :: MBIST_Hold1 [05:05] */
#define BCHP_IDE_MBISTCntlStat_MBIST_Hold1_MASK                    0x00000020
#define BCHP_IDE_MBISTCntlStat_MBIST_Hold1_SHIFT                   5

/* IDE :: MBISTCntlStat :: MBIST_En1 [04:04] */
#define BCHP_IDE_MBISTCntlStat_MBIST_En1_MASK                      0x00000010
#define BCHP_IDE_MBISTCntlStat_MBIST_En1_SHIFT                     4

/* IDE :: MBISTCntlStat :: MBIST_DmpEn0 [03:03] */
#define BCHP_IDE_MBISTCntlStat_MBIST_DmpEn0_MASK                   0x00000008
#define BCHP_IDE_MBISTCntlStat_MBIST_DmpEn0_SHIFT                  3

/* IDE :: MBISTCntlStat :: MBIST_DgEn0 [02:02] */
#define BCHP_IDE_MBISTCntlStat_MBIST_DgEn0_MASK                    0x00000004
#define BCHP_IDE_MBISTCntlStat_MBIST_DgEn0_SHIFT                   2

/* IDE :: MBISTCntlStat :: MBIST_Hold0 [01:01] */
#define BCHP_IDE_MBISTCntlStat_MBIST_Hold0_MASK                    0x00000002
#define BCHP_IDE_MBISTCntlStat_MBIST_Hold0_SHIFT                   1

/* IDE :: MBISTCntlStat :: MBIST_En0 [00:00] */
#define BCHP_IDE_MBISTCntlStat_MBIST_En0_MASK                      0x00000001
#define BCHP_IDE_MBISTCntlStat_MBIST_En0_SHIFT                     0

/***************************************************************************
 *DESCntl - DES Control Register
 ***************************************************************************/
/* IDE :: DESCntl :: reserved0 [31:22] */
#define BCHP_IDE_DESCntl_reserved0_MASK                            0xffc00000
#define BCHP_IDE_DESCntl_reserved0_SHIFT                           22

/* IDE :: DESCntl :: S_key_sel [21:20] */
#define BCHP_IDE_DESCntl_S_key_sel_MASK                            0x00300000
#define BCHP_IDE_DESCntl_S_key_sel_SHIFT                           20

/* IDE :: DESCntl :: S_soft_one_des [19:19] */
#define BCHP_IDE_DESCntl_S_soft_one_des_MASK                       0x00080000
#define BCHP_IDE_DESCntl_S_soft_one_des_SHIFT                      19

/* IDE :: DESCntl :: S_encrypt [18:18] */
#define BCHP_IDE_DESCntl_S_encrypt_MASK                            0x00040000
#define BCHP_IDE_DESCntl_S_encrypt_SHIFT                           18

/* IDE :: DESCntl :: S_autoclr_des [17:17] */
#define BCHP_IDE_DESCntl_S_autoclr_des_MASK                        0x00020000
#define BCHP_IDE_DESCntl_S_autoclr_des_SHIFT                       17

/* IDE :: DESCntl :: S_des_en [16:16] */
#define BCHP_IDE_DESCntl_S_des_en_MASK                             0x00010000
#define BCHP_IDE_DESCntl_S_des_en_SHIFT                            16

/* IDE :: DESCntl :: reserved1 [15:06] */
#define BCHP_IDE_DESCntl_reserved1_MASK                            0x0000ffc0
#define BCHP_IDE_DESCntl_reserved1_SHIFT                           6

/* IDE :: DESCntl :: P_key_sel [05:04] */
#define BCHP_IDE_DESCntl_P_key_sel_MASK                            0x00000030
#define BCHP_IDE_DESCntl_P_key_sel_SHIFT                           4

/* IDE :: DESCntl :: P_soft_one_des [03:03] */
#define BCHP_IDE_DESCntl_P_soft_one_des_MASK                       0x00000008
#define BCHP_IDE_DESCntl_P_soft_one_des_SHIFT                      3

/* IDE :: DESCntl :: P_encrypt [02:02] */
#define BCHP_IDE_DESCntl_P_encrypt_MASK                            0x00000004
#define BCHP_IDE_DESCntl_P_encrypt_SHIFT                           2

/* IDE :: DESCntl :: P_autoclr_des [01:01] */
#define BCHP_IDE_DESCntl_P_autoclr_des_MASK                        0x00000002
#define BCHP_IDE_DESCntl_P_autoclr_des_SHIFT                       1

/* IDE :: DESCntl :: P_des_en [00:00] */
#define BCHP_IDE_DESCntl_P_des_en_MASK                             0x00000001
#define BCHP_IDE_DESCntl_P_des_en_SHIFT                            0

/***************************************************************************
 *IDEDTEa - IDE Current Descriptor Table Entry A Register
 ***************************************************************************/
/* IDE :: IDEDTEa :: DTStartAddr [31:00] */
#define BCHP_IDE_IDEDTEa_DTStartAddr_MASK                          0xffffffff
#define BCHP_IDE_IDEDTEa_DTStartAddr_SHIFT                         0

/***************************************************************************
 *IDEDTEb - IDE Current Descriptor Table Entry B Register
 ***************************************************************************/
/* IDE :: IDEDTEb :: EOT [31:31] */
#define BCHP_IDE_IDEDTEb_EOT_MASK                                  0x80000000
#define BCHP_IDE_IDEDTEb_EOT_SHIFT                                 31

/* IDE :: IDEDTEb :: reserved0 [30:16] */
#define BCHP_IDE_IDEDTEb_reserved0_MASK                            0x7fff0000
#define BCHP_IDE_IDEDTEb_reserved0_SHIFT                           16

/* IDE :: IDEDTEb :: DTByteCnt [15:00] */
#define BCHP_IDE_IDEDTEb_DTByteCnt_MASK                            0x0000ffff
#define BCHP_IDE_IDEDTEb_DTByteCnt_SHIFT                           0

/***************************************************************************
 *IDEResv16 - IDE Reserved Register
 ***************************************************************************/
/* IDE :: IDEResv16 :: reserved0 [31:00] */
#define BCHP_IDE_IDEResv16_reserved0_MASK                          0xffffffff
#define BCHP_IDE_IDEResv16_reserved0_SHIFT                         0

/***************************************************************************
 *IFCntlStat2 - IDE Interface Control/Status2 Register
 ***************************************************************************/
/* IDE :: IFCntlStat2 :: reserved0 [31:01] */
#define BCHP_IDE_IFCntlStat2_reserved0_MASK                        0xfffffffe
#define BCHP_IDE_IFCntlStat2_reserved0_SHIFT                       1

/* IDE :: IFCntlStat2 :: dma_term_en [00:00] */
#define BCHP_IDE_IFCntlStat2_dma_term_en_MASK                      0x00000001
#define BCHP_IDE_IFCntlStat2_dma_term_en_SHIFT                     0

/***************************************************************************
 *IDEIntMsk - IDE Interrupt Mask Register
 ***************************************************************************/
/* IDE :: IDEIntMsk :: reserved0 [31:22] */
#define BCHP_IDE_IDEIntMsk_reserved0_MASK                          0xffc00000
#define BCHP_IDE_IDEIntMsk_reserved0_SHIFT                         22

/* IDE :: IDEIntMsk :: S_ivbcntMsk [21:21] */
#define BCHP_IDE_IDEIntMsk_S_ivbcntMsk_MASK                        0x00200000
#define BCHP_IDE_IDEIntMsk_S_ivbcntMsk_SHIFT                       21

/* IDE :: IDEIntMsk :: S_ivstaMsk [20:20] */
#define BCHP_IDE_IDEIntMsk_S_ivstaMsk_MASK                         0x00100000
#define BCHP_IDE_IDEIntMsk_S_ivstaMsk_SHIFT                        20

/* IDE :: IDEIntMsk :: reserved1 [19:18] */
#define BCHP_IDE_IDEIntMsk_reserved1_MASK                          0x000c0000
#define BCHP_IDE_IDEIntMsk_reserved1_SHIFT                         18

/* IDE :: IDEIntMsk :: P_ivbcntMsk [17:17] */
#define BCHP_IDE_IDEIntMsk_P_ivbcntMsk_MASK                        0x00020000
#define BCHP_IDE_IDEIntMsk_P_ivbcntMsk_SHIFT                       17

/* IDE :: IDEIntMsk :: P_ivstaMsk [16:16] */
#define BCHP_IDE_IDEIntMsk_P_ivstaMsk_MASK                         0x00010000
#define BCHP_IDE_IDEIntMsk_P_ivstaMsk_SHIFT                        16

/* IDE :: IDEIntMsk :: reserved2 [15:09] */
#define BCHP_IDE_IDEIntMsk_reserved2_MASK                          0x0000fe00
#define BCHP_IDE_IDEIntMsk_reserved2_SHIFT                         9

/* IDE :: IDEIntMsk :: int_blkdis [08:08] */
#define BCHP_IDE_IDEIntMsk_int_blkdis_MASK                         0x00000100
#define BCHP_IDE_IDEIntMsk_int_blkdis_SHIFT                        8

/* IDE :: IDEIntMsk :: reserved3 [07:06] */
#define BCHP_IDE_IDEIntMsk_reserved3_MASK                          0x000000c0
#define BCHP_IDE_IDEIntMsk_reserved3_SHIFT                         6

/* IDE :: IDEIntMsk :: S_EOTMsk [05:05] */
#define BCHP_IDE_IDEIntMsk_S_EOTMsk_MASK                           0x00000020
#define BCHP_IDE_IDEIntMsk_S_EOTMsk_SHIFT                          5

/* IDE :: IDEIntMsk :: S_IDEMsk [04:04] */
#define BCHP_IDE_IDEIntMsk_S_IDEMsk_MASK                           0x00000010
#define BCHP_IDE_IDEIntMsk_S_IDEMsk_SHIFT                          4

/* IDE :: IDEIntMsk :: reserved4 [03:02] */
#define BCHP_IDE_IDEIntMsk_reserved4_MASK                          0x0000000c
#define BCHP_IDE_IDEIntMsk_reserved4_SHIFT                         2

/* IDE :: IDEIntMsk :: P_EOTMsk [01:01] */
#define BCHP_IDE_IDEIntMsk_P_EOTMsk_MASK                           0x00000002
#define BCHP_IDE_IDEIntMsk_P_EOTMsk_SHIFT                          1

/* IDE :: IDEIntMsk :: P_IDEMsk [00:00] */
#define BCHP_IDE_IDEIntMsk_P_IDEMsk_MASK                           0x00000001
#define BCHP_IDE_IDEIntMsk_P_IDEMsk_SHIFT                          0

/***************************************************************************
 *IDEInt - IDE Interrupt Register
 ***************************************************************************/
/* IDE :: IDEInt :: reserved0 [31:22] */
#define BCHP_IDE_IDEInt_reserved0_MASK                             0xffc00000
#define BCHP_IDE_IDEInt_reserved0_SHIFT                            22

/* IDE :: IDEInt :: S_ivbcnt_Int [21:21] */
#define BCHP_IDE_IDEInt_S_ivbcnt_Int_MASK                          0x00200000
#define BCHP_IDE_IDEInt_S_ivbcnt_Int_SHIFT                         21

/* IDE :: IDEInt :: S_ivsta_Int [20:20] */
#define BCHP_IDE_IDEInt_S_ivsta_Int_MASK                           0x00100000
#define BCHP_IDE_IDEInt_S_ivsta_Int_SHIFT                          20

/* IDE :: IDEInt :: reserved1 [19:18] */
#define BCHP_IDE_IDEInt_reserved1_MASK                             0x000c0000
#define BCHP_IDE_IDEInt_reserved1_SHIFT                            18

/* IDE :: IDEInt :: P_ivbcnt_Int [17:17] */
#define BCHP_IDE_IDEInt_P_ivbcnt_Int_MASK                          0x00020000
#define BCHP_IDE_IDEInt_P_ivbcnt_Int_SHIFT                         17

/* IDE :: IDEInt :: P_ivsta_Int [16:16] */
#define BCHP_IDE_IDEInt_P_ivsta_Int_MASK                           0x00010000
#define BCHP_IDE_IDEInt_P_ivsta_Int_SHIFT                          16

/* IDE :: IDEInt :: reserved2 [15:06] */
#define BCHP_IDE_IDEInt_reserved2_MASK                             0x0000ffc0
#define BCHP_IDE_IDEInt_reserved2_SHIFT                            6

/* IDE :: IDEInt :: S_EOTInt [05:05] */
#define BCHP_IDE_IDEInt_S_EOTInt_MASK                              0x00000020
#define BCHP_IDE_IDEInt_S_EOTInt_SHIFT                             5

/* IDE :: IDEInt :: reserved3 [04:02] */
#define BCHP_IDE_IDEInt_reserved3_MASK                             0x0000001c
#define BCHP_IDE_IDEInt_reserved3_SHIFT                            2

/* IDE :: IDEInt :: P_EOTInt [01:01] */
#define BCHP_IDE_IDEInt_P_EOTInt_MASK                              0x00000002
#define BCHP_IDE_IDEInt_P_EOTInt_SHIFT                             1

/* IDE :: IDEInt :: reserved4 [00:00] */
#define BCHP_IDE_IDEInt_reserved4_MASK                             0x00000001
#define BCHP_IDE_IDEInt_reserved4_SHIFT                            0

/***************************************************************************
 *LBCtrl - Local Bus Control Register
 ***************************************************************************/
/* IDE :: LBCtrl :: reserved0 [31:01] */
#define BCHP_IDE_LBCtrl_reserved0_MASK                             0xfffffffe
#define BCHP_IDE_LBCtrl_reserved0_SHIFT                            1

/* IDE :: LBCtrl :: gen_ta_en [00:00] */
#define BCHP_IDE_LBCtrl_gen_ta_en_MASK                             0x00000001
#define BCHP_IDE_LBCtrl_gen_ta_en_SHIFT                            0

/***************************************************************************
 *GWDCntr - Gword Counter Register
 ***************************************************************************/
/* IDE :: GWDCntr :: reserved0 [31:12] */
#define BCHP_IDE_GWDCntr_reserved0_MASK                            0xfffff000
#define BCHP_IDE_GWDCntr_reserved0_SHIFT                           12

/* IDE :: GWDCntr :: Gword_cntr [11:00] */
#define BCHP_IDE_GWDCntr_Gword_cntr_MASK                           0x00000fff
#define BCHP_IDE_GWDCntr_Gword_cntr_SHIFT                          0

/***************************************************************************
 *DIAGCtrl - Diagnostic Port Control Register
 ***************************************************************************/
/* IDE :: DIAGCtrl :: reserved0 [31:05] */
#define BCHP_IDE_DIAGCtrl_reserved0_MASK                           0xffffffe0
#define BCHP_IDE_DIAGCtrl_reserved0_SHIFT                          5

/* IDE :: DIAGCtrl :: diag_sel [04:00] */
#define BCHP_IDE_DIAGCtrl_diag_sel_MASK                            0x0000001f
#define BCHP_IDE_DIAGCtrl_diag_sel_SHIFT                           0

/***************************************************************************
 *EndianCtrl - Endian Control Register
 ***************************************************************************/
/* IDE :: EndianCtrl :: reserved0 [31:01] */
#define BCHP_IDE_EndianCtrl_reserved0_MASK                         0xfffffffe
#define BCHP_IDE_EndianCtrl_reserved0_SHIFT                        1

/* IDE :: EndianCtrl :: endian_mode [00:00] */
#define BCHP_IDE_EndianCtrl_endian_mode_MASK                       0x00000001
#define BCHP_IDE_EndianCtrl_endian_mode_SHIFT                      0

/***************************************************************************
 *TiVoCntl - TiVo Encryption Control Register
 ***************************************************************************/
/* IDE :: TiVoCntl :: reserved0 [31:02] */
#define BCHP_IDE_TiVoCntl_reserved0_MASK                           0xfffffffc
#define BCHP_IDE_TiVoCntl_reserved0_SHIFT                          2

/* IDE :: TiVoCntl :: en_encrp [01:01] */
#define BCHP_IDE_TiVoCntl_en_encrp_MASK                            0x00000002
#define BCHP_IDE_TiVoCntl_en_encrp_SHIFT                           1

/* IDE :: TiVoCntl :: rst_encrp [00:00] */
#define BCHP_IDE_TiVoCntl_rst_encrp_MASK                           0x00000001
#define BCHP_IDE_TiVoCntl_rst_encrp_SHIFT                          0

/***************************************************************************
 *TiVoKey0 - TiVo Encryption Key0 Register
 ***************************************************************************/
/* IDE :: TiVoKey0 :: en_encrp [31:00] */
#define BCHP_IDE_TiVoKey0_en_encrp_MASK                            0xffffffff
#define BCHP_IDE_TiVoKey0_en_encrp_SHIFT                           0

/***************************************************************************
 *TiVoKey1 - TiVo Encryption Key1 Register
 ***************************************************************************/
/* IDE :: TiVoKey1 :: en_encrp [31:00] */
#define BCHP_IDE_TiVoKey1_en_encrp_MASK                            0xffffffff
#define BCHP_IDE_TiVoKey1_en_encrp_SHIFT                           0

/***************************************************************************
 *TiVoKey2 - TiVo Encryption Key2 Register
 ***************************************************************************/
/* IDE :: TiVoKey2 :: en_encrp [31:00] */
#define BCHP_IDE_TiVoKey2_en_encrp_MASK                            0xffffffff
#define BCHP_IDE_TiVoKey2_en_encrp_SHIFT                           0

/***************************************************************************
 *TiVoKey3 - TiVo Encryption Key3 Register
 ***************************************************************************/
/* IDE :: TiVoKey3 :: en_encrp [31:00] */
#define BCHP_IDE_TiVoKey3_en_encrp_MASK                            0xffffffff
#define BCHP_IDE_TiVoKey3_en_encrp_SHIFT                           0

/***************************************************************************
 *IDEPriDataComp - IDE Primary Data Register (Compatibility Mode)
 ***************************************************************************/
/* IDE :: IDEPriDataComp :: P_DATA [07:00] */
#define BCHP_IDE_IDEPriDataComp_P_DATA_MASK                        0xff
#define BCHP_IDE_IDEPriDataComp_P_DATA_SHIFT                       0

/***************************************************************************
 *IDEPriFeatErrComp - IDE Primary Features/Error Register (Compatibility Mode)
 ***************************************************************************/
/* IDE :: IDEPriFeatErrComp :: P_FeatError [07:00] */
#define BCHP_IDE_IDEPriFeatErrComp_P_FeatError_MASK                0xff
#define BCHP_IDE_IDEPriFeatErrComp_P_FeatError_SHIFT               0

/***************************************************************************
 *IDEPriSecCntComp - IDE Primary Sector Count Register (Compatibility Mode)
 ***************************************************************************/
/* IDE :: IDEPriSecCntComp :: P_SecCnt [07:00] */
#define BCHP_IDE_IDEPriSecCntComp_P_SecCnt_MASK                    0xff
#define BCHP_IDE_IDEPriSecCntComp_P_SecCnt_SHIFT                   0

/***************************************************************************
 *IDEPriSecNumComp - IDE Primary Sector Number Register (Compatibility Mode)
 ***************************************************************************/
/* IDE :: IDEPriSecNumComp :: P_SecNum [07:00] */
#define BCHP_IDE_IDEPriSecNumComp_P_SecNum_MASK                    0xff
#define BCHP_IDE_IDEPriSecNumComp_P_SecNum_SHIFT                   0

/***************************************************************************
 *IDEPriCylLowComp - IDE Primary Cylinder Low Register (Compatibility Mode)
 ***************************************************************************/
/* IDE :: IDEPriCylLowComp :: P_CylLow [07:00] */
#define BCHP_IDE_IDEPriCylLowComp_P_CylLow_MASK                    0xff
#define BCHP_IDE_IDEPriCylLowComp_P_CylLow_SHIFT                   0

/***************************************************************************
 *IDEPriCylHiComp - IDE Primary Cylinder Hi Register (Compatibility Mode)
 ***************************************************************************/
/* IDE :: IDEPriCylHiComp :: P_CylHi [07:00] */
#define BCHP_IDE_IDEPriCylHiComp_P_CylHi_MASK                      0xff
#define BCHP_IDE_IDEPriCylHiComp_P_CylHi_SHIFT                     0

/***************************************************************************
 *IDEPriDevHdComp - IDE Primary Device/Head Register (Compatibility Mode)
 ***************************************************************************/
/* IDE :: IDEPriDevHdComp :: P_DevHd [07:00] */
#define BCHP_IDE_IDEPriDevHdComp_P_DevHd_MASK                      0xff
#define BCHP_IDE_IDEPriDevHdComp_P_DevHd_SHIFT                     0

/***************************************************************************
 *IDEPriCmdStatComp - IDE Primary Commands/Status Register (Compatibility Mode)
 ***************************************************************************/
/* IDE :: IDEPriCmdStatComp :: P_CmdStat [07:00] */
#define BCHP_IDE_IDEPriCmdStatComp_P_CmdStat_MASK                  0xff
#define BCHP_IDE_IDEPriCmdStatComp_P_CmdStat_SHIFT                 0

/***************************************************************************
 *IDEPriData - IDE Primary Data Register
 ***************************************************************************/
/* IDE :: IDEPriData :: P_DATA [07:00] */
#define BCHP_IDE_IDEPriData_P_DATA_MASK                            0xff
#define BCHP_IDE_IDEPriData_P_DATA_SHIFT                           0

/***************************************************************************
 *IDEPriFeatErr - IDE Primary Features/Error Register
 ***************************************************************************/
/* IDE :: IDEPriFeatErr :: P_FeatError [07:00] */
#define BCHP_IDE_IDEPriFeatErr_P_FeatError_MASK                    0xff
#define BCHP_IDE_IDEPriFeatErr_P_FeatError_SHIFT                   0

/***************************************************************************
 *IDEPriSecCnt - IDE Primary Sector Count Register
 ***************************************************************************/
/* IDE :: IDEPriSecCnt :: P_SecCnt [07:00] */
#define BCHP_IDE_IDEPriSecCnt_P_SecCnt_MASK                        0xff
#define BCHP_IDE_IDEPriSecCnt_P_SecCnt_SHIFT                       0

/***************************************************************************
 *IDEPriSecNum - IDE Primary Sector Number Register
 ***************************************************************************/
/* IDE :: IDEPriSecNum :: P_SecNum [07:00] */
#define BCHP_IDE_IDEPriSecNum_P_SecNum_MASK                        0xff
#define BCHP_IDE_IDEPriSecNum_P_SecNum_SHIFT                       0

/***************************************************************************
 *IDEPriCylLow - IDE Primary Cylinder Low Register
 ***************************************************************************/
/* IDE :: IDEPriCylLow :: P_CylLow [07:00] */
#define BCHP_IDE_IDEPriCylLow_P_CylLow_MASK                        0xff
#define BCHP_IDE_IDEPriCylLow_P_CylLow_SHIFT                       0

/***************************************************************************
 *IDEPriCylHi - IDE Primary Cylinder Hi Register
 ***************************************************************************/
/* IDE :: IDEPriCylHi :: P_CylHi [07:00] */
#define BCHP_IDE_IDEPriCylHi_P_CylHi_MASK                          0xff
#define BCHP_IDE_IDEPriCylHi_P_CylHi_SHIFT                         0

/***************************************************************************
 *IDEPriDevHd - IDE Primary Device/Head Register
 ***************************************************************************/
/* IDE :: IDEPriDevHd :: P_DevHd [07:00] */
#define BCHP_IDE_IDEPriDevHd_P_DevHd_MASK                          0xff
#define BCHP_IDE_IDEPriDevHd_P_DevHd_SHIFT                         0

/***************************************************************************
 *IDEPriCmdStat - IDE Primary Commands/Status Register
 ***************************************************************************/
/* IDE :: IDEPriCmdStat :: P_CmdStat [07:00] */
#define BCHP_IDE_IDEPriCmdStat_P_CmdStat_MASK                      0xff
#define BCHP_IDE_IDEPriCmdStat_P_CmdStat_SHIFT                     0

/***************************************************************************
 *IDEPriDevCStat32 - IDE Primary Device Control/Alternate Status Register (32 bit boundary)
 ***************************************************************************/
/* IDE :: IDEPriDevCStat32 :: P_DevCntAStat [07:00] */
#define BCHP_IDE_IDEPriDevCStat32_P_DevCntAStat_MASK               0xff
#define BCHP_IDE_IDEPriDevCStat32_P_DevCntAStat_SHIFT              0

/***************************************************************************
 *IDEPriDevCStat - IDE Primary Device Control/Alternate Status Register
 ***************************************************************************/
/* IDE :: IDEPriDevCStat :: P_DevCntAStat [07:00] */
#define BCHP_IDE_IDEPriDevCStat_P_DevCntAStat_MASK                 0xff
#define BCHP_IDE_IDEPriDevCStat_P_DevCntAStat_SHIFT                0

/***************************************************************************
 *IDEResv17 - IDE Reserved Register
 ***************************************************************************/
/* IDE :: IDEResv17 :: reserved0 [31:00] */
#define BCHP_IDE_IDEResv17_reserved0_MASK                          0xffffffff
#define BCHP_IDE_IDEResv17_reserved0_SHIFT                         0

/***************************************************************************
 *IDEResv18 - IDE Reserved Register
 ***************************************************************************/
/* IDE :: IDEResv18 :: reserved0 [31:00] */
#define BCHP_IDE_IDEResv18_reserved0_MASK                          0xffffffff
#define BCHP_IDE_IDEResv18_reserved0_SHIFT                         0

/***************************************************************************
 *IDEResv19 - IDE Reserved Register
 ***************************************************************************/
/* IDE :: IDEResv19 :: reserved0 [31:00] */
#define BCHP_IDE_IDEResv19_reserved0_MASK                          0xffffffff
#define BCHP_IDE_IDEResv19_reserved0_SHIFT                         0

/***************************************************************************
 *IDEPriBMCmdStat - IDE Primary Bus Master Command/Status Register
 ***************************************************************************/
/* IDE :: IDEPriBMCmdStat :: reserved0 [31:24] */
#define BCHP_IDE_IDEPriBMCmdStat_reserved0_MASK                    0xff000000
#define BCHP_IDE_IDEPriBMCmdStat_reserved0_SHIFT                   24

/* IDE :: IDEPriBMCmdStat :: P_Simplex [23:23] */
#define BCHP_IDE_IDEPriBMCmdStat_P_Simplex_MASK                    0x00800000
#define BCHP_IDE_IDEPriBMCmdStat_P_Simplex_SHIFT                   23

/* IDE :: IDEPriBMCmdStat :: P_Dr1DMA [22:22] */
#define BCHP_IDE_IDEPriBMCmdStat_P_Dr1DMA_MASK                     0x00400000
#define BCHP_IDE_IDEPriBMCmdStat_P_Dr1DMA_SHIFT                    22

/* IDE :: IDEPriBMCmdStat :: P_Dr0DMA [21:21] */
#define BCHP_IDE_IDEPriBMCmdStat_P_Dr0DMA_MASK                     0x00200000
#define BCHP_IDE_IDEPriBMCmdStat_P_Dr0DMA_SHIFT                    21

/* IDE :: IDEPriBMCmdStat :: reserved1 [20:19] */
#define BCHP_IDE_IDEPriBMCmdStat_reserved1_MASK                    0x00180000
#define BCHP_IDE_IDEPriBMCmdStat_reserved1_SHIFT                   19

/* IDE :: IDEPriBMCmdStat :: P_INTRQ [18:18] */
#define BCHP_IDE_IDEPriBMCmdStat_P_INTRQ_MASK                      0x00040000
#define BCHP_IDE_IDEPriBMCmdStat_P_INTRQ_SHIFT                     18

/* IDE :: IDEPriBMCmdStat :: P_DMA_err [17:17] */
#define BCHP_IDE_IDEPriBMCmdStat_P_DMA_err_MASK                    0x00020000
#define BCHP_IDE_IDEPriBMCmdStat_P_DMA_err_SHIFT                   17

/* IDE :: IDEPriBMCmdStat :: P_Active [16:16] */
#define BCHP_IDE_IDEPriBMCmdStat_P_Active_MASK                     0x00010000
#define BCHP_IDE_IDEPriBMCmdStat_P_Active_SHIFT                    16

/* IDE :: IDEPriBMCmdStat :: reserved2 [15:04] */
#define BCHP_IDE_IDEPriBMCmdStat_reserved2_MASK                    0x0000fff0
#define BCHP_IDE_IDEPriBMCmdStat_reserved2_SHIFT                   4

/* IDE :: IDEPriBMCmdStat :: P_RdWr [03:03] */
#define BCHP_IDE_IDEPriBMCmdStat_P_RdWr_MASK                       0x00000008
#define BCHP_IDE_IDEPriBMCmdStat_P_RdWr_SHIFT                      3

/* IDE :: IDEPriBMCmdStat :: reserved3 [02:01] */
#define BCHP_IDE_IDEPriBMCmdStat_reserved3_MASK                    0x00000006
#define BCHP_IDE_IDEPriBMCmdStat_reserved3_SHIFT                   1

/* IDE :: IDEPriBMCmdStat :: P_StartStop [00:00] */
#define BCHP_IDE_IDEPriBMCmdStat_P_StartStop_MASK                  0x00000001
#define BCHP_IDE_IDEPriBMCmdStat_P_StartStop_SHIFT                 0

/***************************************************************************
 *IDEPriDTPT - IDE Primary Descriptor Table Pointer Register
 ***************************************************************************/
/* IDE :: IDEPriDTPT :: P_DTPtr [31:00] */
#define BCHP_IDE_IDEPriDTPT_P_DTPtr_MASK                           0xffffffff
#define BCHP_IDE_IDEPriDTPT_P_DTPtr_SHIFT                          0

/***************************************************************************
 *IDEResv20 - IDE Reserved Register
 ***************************************************************************/
/* IDE :: IDEResv20 :: reserved0 [31:00] */
#define BCHP_IDE_IDEResv20_reserved0_MASK                          0xffffffff
#define BCHP_IDE_IDEResv20_reserved0_SHIFT                         0

/***************************************************************************
 *IDEPriDevCStatComp - IDE Primary Device Control/Alternate Status Register (Compatibility Mode)
 ***************************************************************************/
/* IDE :: IDEPriDevCStatComp :: P_DevCntAStat [07:00] */
#define BCHP_IDE_IDEPriDevCStatComp_P_DevCntAStat_MASK             0xff
#define BCHP_IDE_IDEPriDevCStatComp_P_DevCntAStat_SHIFT            0

/***************************************************************************
 *IDEPriBMCmdStatCompA - IDE Primary Bus Master Command/Status (Alias) Register
 ***************************************************************************/
/* IDE :: IDEPriBMCmdStatCompA :: reserved0 [31:24] */
#define BCHP_IDE_IDEPriBMCmdStatCompA_reserved0_MASK               0xff000000
#define BCHP_IDE_IDEPriBMCmdStatCompA_reserved0_SHIFT              24

/* IDE :: IDEPriBMCmdStatCompA :: P_Simplex [23:23] */
#define BCHP_IDE_IDEPriBMCmdStatCompA_P_Simplex_MASK               0x00800000
#define BCHP_IDE_IDEPriBMCmdStatCompA_P_Simplex_SHIFT              23

/* IDE :: IDEPriBMCmdStatCompA :: P_Dr1DMA [22:22] */
#define BCHP_IDE_IDEPriBMCmdStatCompA_P_Dr1DMA_MASK                0x00400000
#define BCHP_IDE_IDEPriBMCmdStatCompA_P_Dr1DMA_SHIFT               22

/* IDE :: IDEPriBMCmdStatCompA :: P_Dr0DMA [21:21] */
#define BCHP_IDE_IDEPriBMCmdStatCompA_P_Dr0DMA_MASK                0x00200000
#define BCHP_IDE_IDEPriBMCmdStatCompA_P_Dr0DMA_SHIFT               21

/* IDE :: IDEPriBMCmdStatCompA :: reserved1 [20:19] */
#define BCHP_IDE_IDEPriBMCmdStatCompA_reserved1_MASK               0x00180000
#define BCHP_IDE_IDEPriBMCmdStatCompA_reserved1_SHIFT              19

/* IDE :: IDEPriBMCmdStatCompA :: P_INTRQ [18:18] */
#define BCHP_IDE_IDEPriBMCmdStatCompA_P_INTRQ_MASK                 0x00040000
#define BCHP_IDE_IDEPriBMCmdStatCompA_P_INTRQ_SHIFT                18

/* IDE :: IDEPriBMCmdStatCompA :: P_DMA_err [17:17] */
#define BCHP_IDE_IDEPriBMCmdStatCompA_P_DMA_err_MASK               0x00020000
#define BCHP_IDE_IDEPriBMCmdStatCompA_P_DMA_err_SHIFT              17

/* IDE :: IDEPriBMCmdStatCompA :: P_Active [16:16] */
#define BCHP_IDE_IDEPriBMCmdStatCompA_P_Active_MASK                0x00010000
#define BCHP_IDE_IDEPriBMCmdStatCompA_P_Active_SHIFT               16

/* IDE :: IDEPriBMCmdStatCompA :: reserved2 [15:04] */
#define BCHP_IDE_IDEPriBMCmdStatCompA_reserved2_MASK               0x0000fff0
#define BCHP_IDE_IDEPriBMCmdStatCompA_reserved2_SHIFT              4

/* IDE :: IDEPriBMCmdStatCompA :: P_RdWr [03:03] */
#define BCHP_IDE_IDEPriBMCmdStatCompA_P_RdWr_MASK                  0x00000008
#define BCHP_IDE_IDEPriBMCmdStatCompA_P_RdWr_SHIFT                 3

/* IDE :: IDEPriBMCmdStatCompA :: reserved3 [02:01] */
#define BCHP_IDE_IDEPriBMCmdStatCompA_reserved3_MASK               0x00000006
#define BCHP_IDE_IDEPriBMCmdStatCompA_reserved3_SHIFT              1

/* IDE :: IDEPriBMCmdStatCompA :: P_StartStop [00:00] */
#define BCHP_IDE_IDEPriBMCmdStatCompA_P_StartStop_MASK             0x00000001
#define BCHP_IDE_IDEPriBMCmdStatCompA_P_StartStop_SHIFT            0

/***************************************************************************
 *IDEPriDTPTCompA - IDE Primary Descriptor Table Pointer (Alias) Register
 ***************************************************************************/
/* IDE :: IDEPriDTPTCompA :: P_DTPtr [31:00] */
#define BCHP_IDE_IDEPriDTPTCompA_P_DTPtr_MASK                      0xffffffff
#define BCHP_IDE_IDEPriDTPTCompA_P_DTPtr_SHIFT                     0

/***************************************************************************
 *IDEPriBMCmdStatCompB - IDE Primary Bus Master Command/Status (Alias) Register
 ***************************************************************************/
/* IDE :: IDEPriBMCmdStatCompB :: reserved0 [31:24] */
#define BCHP_IDE_IDEPriBMCmdStatCompB_reserved0_MASK               0xff000000
#define BCHP_IDE_IDEPriBMCmdStatCompB_reserved0_SHIFT              24

/* IDE :: IDEPriBMCmdStatCompB :: P_Simplex [23:23] */
#define BCHP_IDE_IDEPriBMCmdStatCompB_P_Simplex_MASK               0x00800000
#define BCHP_IDE_IDEPriBMCmdStatCompB_P_Simplex_SHIFT              23

/* IDE :: IDEPriBMCmdStatCompB :: P_Dr1DMA [22:22] */
#define BCHP_IDE_IDEPriBMCmdStatCompB_P_Dr1DMA_MASK                0x00400000
#define BCHP_IDE_IDEPriBMCmdStatCompB_P_Dr1DMA_SHIFT               22

/* IDE :: IDEPriBMCmdStatCompB :: P_Dr0DMA [21:21] */
#define BCHP_IDE_IDEPriBMCmdStatCompB_P_Dr0DMA_MASK                0x00200000
#define BCHP_IDE_IDEPriBMCmdStatCompB_P_Dr0DMA_SHIFT               21

/* IDE :: IDEPriBMCmdStatCompB :: reserved1 [20:19] */
#define BCHP_IDE_IDEPriBMCmdStatCompB_reserved1_MASK               0x00180000
#define BCHP_IDE_IDEPriBMCmdStatCompB_reserved1_SHIFT              19

/* IDE :: IDEPriBMCmdStatCompB :: P_INTRQ [18:18] */
#define BCHP_IDE_IDEPriBMCmdStatCompB_P_INTRQ_MASK                 0x00040000
#define BCHP_IDE_IDEPriBMCmdStatCompB_P_INTRQ_SHIFT                18

/* IDE :: IDEPriBMCmdStatCompB :: P_DMA_err [17:17] */
#define BCHP_IDE_IDEPriBMCmdStatCompB_P_DMA_err_MASK               0x00020000
#define BCHP_IDE_IDEPriBMCmdStatCompB_P_DMA_err_SHIFT              17

/* IDE :: IDEPriBMCmdStatCompB :: P_Active [16:16] */
#define BCHP_IDE_IDEPriBMCmdStatCompB_P_Active_MASK                0x00010000
#define BCHP_IDE_IDEPriBMCmdStatCompB_P_Active_SHIFT               16

/* IDE :: IDEPriBMCmdStatCompB :: reserved2 [15:04] */
#define BCHP_IDE_IDEPriBMCmdStatCompB_reserved2_MASK               0x0000fff0
#define BCHP_IDE_IDEPriBMCmdStatCompB_reserved2_SHIFT              4

/* IDE :: IDEPriBMCmdStatCompB :: P_RdWr [03:03] */
#define BCHP_IDE_IDEPriBMCmdStatCompB_P_RdWr_MASK                  0x00000008
#define BCHP_IDE_IDEPriBMCmdStatCompB_P_RdWr_SHIFT                 3

/* IDE :: IDEPriBMCmdStatCompB :: reserved3 [02:01] */
#define BCHP_IDE_IDEPriBMCmdStatCompB_reserved3_MASK               0x00000006
#define BCHP_IDE_IDEPriBMCmdStatCompB_reserved3_SHIFT              1

/* IDE :: IDEPriBMCmdStatCompB :: P_StartStop [00:00] */
#define BCHP_IDE_IDEPriBMCmdStatCompB_P_StartStop_MASK             0x00000001
#define BCHP_IDE_IDEPriBMCmdStatCompB_P_StartStop_SHIFT            0

/***************************************************************************
 *IDEPriDTPTCompB - IDE Primary Descriptor Table Pointer (Alias) Register
 ***************************************************************************/
/* IDE :: IDEPriDTPTCompB :: P_DTPtr [31:00] */
#define BCHP_IDE_IDEPriDTPTCompB_P_DTPtr_MASK                      0xffffffff
#define BCHP_IDE_IDEPriDTPTCompB_P_DTPtr_SHIFT                     0

#endif /* #ifndef BCHP_IDE_H__ */

/* End of File */
